import { Promise } from 'q';
import { CrudAccessControl } from './access-control.authorization';
import { Response } from 'express';
import { Model, Document } from 'mongoose';
export declare class AccessControlBaseController {
    private model;
    promisedAc: Promise<CrudAccessControl>;
    constructor(model: Model<Document>, grants: any);
    create(req: any, res: Response): void;
    find(req: any, res: Response, exQueryBuilder?: any): void;
    findById(req: any, res: Response): void;
    update(req: any, res: Response): void;
    patch(req: any, res: Response): void;
    remove(req: any, res: Response): void;
    private findBydId(id, user, permission);
    private entityFromBody(req);
}
